QGIS Application - Bug report #8359
Remove warning about WMS
2013-07-24 11:05 PM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17139
Description

When printing a layout that contains a WMS, we get a warning about max size.
| think this is useless now, as the print driver automatically tiles up the WMS request, and can be confusing and misleading for users.
Better remove the warning.

History

#1 - 2013-07-24 11:32 PM - Paolo Cavallini
- Subject changed from Remove warning abouot WMS to Remove warning about WMS

#2 - 2014-04-06 06:04 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#3 - 2014-06-23 08:33 AM - Paolo Cavallini

- Tag set to easy

Still true

#4 - 2014-06-23 08:34 AM - Giovanni Manghi

I'm not sure the composer automatically makes tiled requests.

#5 - 2014-10-27 02:36 PM - Anita Graser

The warning is

Some WMS servers (e.g. UMN mapserver) have a limit for the WIDTH and HEIGHT parameter.

Printing layers from such servers may exceed this limit. If this is the case, the WMS
layer will not be printed

and imho it's more misleading than helpful because the reason why WMS do not print in my experience is if the output resolution is set to something bigger
than 75 dpi. (Tested with http://data.wien.gv.at/daten/wms?service=WMS&#38;request=GetCapabilities&#38;version=1.1.1)

#6 - 2014-10-29 08:44 AM - Jukka Rahkonen
http://data.wien.gv.at/daten/wms?service=WMS&#38;request=GetCapabilities&#38;version=1.1.1

What do you suggest for making the message more understandable for QGIS users? For me as a Mapserver user it does make sense and the current

message probably tells what really happens: with screen size of, let's say, 800 x 600 pixels the raised output resolution leads to bigger WIDTH & HEIGHT

(1600 x 1200 or so) in the GetMaps and MapServer will not send a map.

#7 - 2014-10-29 08:56 AM - Giovanni Manghi

and imho it's more misleading than helpful because the reason why WMS do not print in my experience is if the output resolution is set to something

bigger than 75 dpi. (

Hi Anita, this is not what | see, | can print layouts with WMS layers at above 75dpi. The limit should be set at server level, not a qgis issue.

Anyway regarding the original description: | does not seems to me that the print composer automatically tiles WMS layers. It does if of course it was choose

to do it when the layer was added in the project using the WMS client and the option "tile size".

#8 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#9 - 2018-03-07 04:40 PM - Paolo Cavallini

- Description updated
- Status changed from Open to Feedback

Unclear to me whether this has been solved.

#10 - 2018-03-07 10:42 PM - Giovanni Manghi
- Status changed from Feedback to Open

Paolo Cavallini wrote:

Unclear to me whether this has been solved.

| don't think the wms layers are automatically tiled. They are if in the client the user choose to add it with a tiling strategy. So the warning still makes sense
and this ticket should be closed.

#11 - 2018-06-08 03:54 PM - Tilman Brock-Hesse

If the user does not set a tile size and QGIS requests tiles larger than MaxWidth and/or MaxHeight, problems will occur.

| have added Feature Request #19150 to use the max sizes from the getCapabilities response in the "Add WMS layer" dialog.

#12 - 2019-03-09 04:04 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to end of life
End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

#13 - 2019-03-09 04:08 PM - Paolo Cavallini

- Resolution deleted (end of life)

- Status changed from Closed to Reopened

#14 - 2019-03-09 04:10 PM - Giovanni Manghi
- Status changed from Reopened to Open

Please SET THE NEW AFFECTED VERSION.

#15 - 2019-03-09 04:10 PM - Paolo Cavallini
- Affected QGIS version changed from master to 3.6.0
